package com.ecep.contract.vo;

import java.io.Serializable;
import java.time.Year;

import com.ecep.contract.model.HistoryPrice;
import com.ecep.contract.model.IdentityEntity;

import lombok.Data;

@Data
public class InventoryHistoryPriceVo implements IdentityEntity, Serializable {
    private static final long serialVersionUID = 1L;

    private Integer id;
    private Integer inventoryId;
    private Year year;

    private HistoryPrice latestPurchasePrice = new HistoryPrice();
    private HistoryPrice latestSalePrice = new HistoryPrice();
    private HistoryPrice miniPurchasePrice = new HistoryPrice();
    private HistoryPrice miniSalePrice = new HistoryPrice();
    private HistoryPrice maxPurchasePrice = new HistoryPrice();
    private HistoryPrice maxSalePrice = new HistoryPrice();
}